//
//  SCElementSize.h
//  SCTVOSSDK
//
//  Copyright © 2020 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface SCElementSize : NSObject
typedef enum ViewMode {
    ViewModeNormal,
    ViewModeFullscreen
} ViewMode;

- (instancetype)initWithViewMode:(ViewMode)viewMode boundingRect:(CGRect)boundingRect;
- (NSString*)description;
@end

NS_ASSUME_NONNULL_END
